Loading...
Searching...
No Matches
csdebug_data_s Struct Reference
Debugger

`#include <csdebug.h>`

## Data Fields

void * | bkpt_buffer
void * | cmd_buffer
debug_status_t | status
bkpt_node_t * | bkpt_anchor
bkpt_node_t * | cur_bkpt
breakpoint_cb_t | bkpt_cb
void * | cb_data
void * | debug_instr_ptr
void * | debug_opcode_ptr

## Field Documentation

## bkpt_anchor

bkpt_node_t* csdebug_data_s::bkpt_anchor

## bkpt_buffer

void* csdebug_data_s::bkpt_buffer

## bkpt_cb

breakpoint_cb_t csdebug_data_s::bkpt_cb

## cb_data

void* csdebug_data_s::cb_data

## cmd_buffer

void* csdebug_data_s::cmd_buffer

## cur_bkpt

bkpt_node_t* csdebug_data_s::cur_bkpt

## debug_instr_ptr

void* csdebug_data_s::debug_instr_ptr

## debug_opcode_ptr

void* csdebug_data_s::debug_opcode_ptr

## status

debug_status_t csdebug_data_s::status